Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms
Class FieldWidgets

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDataObject>
          org.pdfclown.documents.interaction.forms.FieldWidgets

All Implemented Interfaces:
  Cloneable, Iterable<Widget>, Collection<Widget>, List<Widget>, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class FieldWidgets

extends PdfObjectWrapper<PdfDataObject>
implements List<Widget>

Field widget annotations [PDF:1.6:8.6].

Since:
  0.0.7
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`void` | `add(int index, Widget value)`
`boolean` | `add(Widget value)`
`boolean` | `addAll(Collection<? extends Widget> values)`
`boolean` | `addAll(int index, Collection<? extends Widget> values)`
`void` | `clear()`
`FieldWidgets` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`boolean` | `contains(Object value)`
`boolean` | `containsAll(Collection<?> values)`
`boolean` | `equals(Object object)`
`Widget` | `get(int index)`
`Field` | `getField()` Gets the field associated to these widgets.
`int` | `hashCode()`
`int` | `indexOf(Object value)`
`boolean` | `isEmpty()`
`Iterator<Widget>` | `iterator()`
`int` | `lastIndexOf(Object value)`
`ListIterator<Widget>` | `listIterator()`
`ListIterator<Widget>` | `listIterator(int index)`
`Widget` | `remove(int index)`
`boolean` | `remove(Object value)`
`boolean` | `removeAll(Collection<?> values)`
`boolean` | `retainAll(Collection<?> values)`
`Widget` | `set(int index, Widget value)`
`int` | `size()`
`List<Widget>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] values)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public FieldWidgets clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDataObject>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getField

    public Field getField()

  Gets the field associated to these widgets.

### add

    public void add(int index,
                    Widget value)

  Specified by:
    `add` in interface `List<Widget>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends Widget> values)

  Specified by:
    `addAll` in interface `List<Widget>`

### get

    public Widget get(int index)

  Specified by:
    `get` in interface `List<Widget>`

### indexOf

    public int indexOf(Object value)

  Specified by:
    `indexOf` in interface `List<Widget>`

### lastIndexOf

    public int lastIndexOf(Object value)

  Specified by:
    `lastIndexOf` in interface `List<Widget>`

### listIterator

    public ListIterator<Widget> listIterator()

  Specified by:
    `listIterator` in interface `List<Widget>`

### listIterator

    public ListIterator<Widget> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<Widget>`

### remove

    public Widget remove(int index)

  Specified by:
    `remove` in interface `List<Widget>`

### set

    public Widget set(int index,
                      Widget value)

  Specified by:
    `set` in interface `List<Widget>`

### subList

    public List<Widget> subList(int fromIndex,
                                int toIndex)

  Specified by:
    `subList` in interface `List<Widget>`

### add

    public boolean add(Widget value)

  Specified by:
    `add` in interface `Collection<Widget>`
  Specified by:
    `add` in interface `List<Widget>`

### addAll

    public boolean addAll(Collection<? extends Widget> values)

  Specified by:
    `addAll` in interface `Collection<Widget>`
  Specified by:
    `addAll` in interface `List<Widget>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<Widget>`
  Specified by:
    `clear` in interface `List<Widget>`

### contains

    public boolean contains(Object value)

  Specified by:
    `contains` in interface `Collection<Widget>`
  Specified by:
    `contains` in interface `List<Widget>`

### containsAll

    public boolean containsAll(Collection<?> values)

  Specified by:
    `containsAll` in interface `Collection<Widget>`
  Specified by:
    `containsAll` in interface `List<Widget>`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Collection<Widget>`
  Specified by:
    `equals` in interface `List<Widget>`
  Overrides:
    `equals` in class `PdfObjectWrapper<PdfDataObject>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<Widget>`
  Specified by:
    `hashCode` in interface `List<Widget>`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<Widget>`
  Specified by:
    `isEmpty` in interface `List<Widget>`

### remove

    public boolean remove(Object value)

  Specified by:
    `remove` in interface `Collection<Widget>`
  Specified by:
    `remove` in interface `List<Widget>`

### removeAll

    public boolean removeAll(Collection<?> values)

  Specified by:
    `removeAll` in interface `Collection<Widget>`
  Specified by:
    `removeAll` in interface `List<Widget>`

### retainAll

    public boolean retainAll(Collection<?> values)

  Specified by:
    `retainAll` in interface `Collection<Widget>`
  Specified by:
    `retainAll` in interface `List<Widget>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Widget>`
  Specified by:
    `size` in interface `List<Widget>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<Widget>`
  Specified by:
    `toArray` in interface `List<Widget>`

### toArray

    public <T> T[] toArray(T[] values)

  Specified by:
    `toArray` in interface `Collection<Widget>`
  Specified by:
    `toArray` in interface `List<Widget>`

### iterator

    public Iterator<Widget> iterator()

  Specified by:
    `iterator` in interface `Iterable<Widget>`
  Specified by:
    `iterator` in interface `Collection<Widget>`
  Specified by:
    `iterator` in interface `List<Widget>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.